<?xml version="1.0" encoding="UTF-8"?>
<LightningComponentBundle xmlns="http://soap.sforce.com/2006/04/metadata">
    <apiVersion>50.0</apiVersion>
    <isExposed>true</isExposed>
    <targets>
        <target>lightning__FlowScreen</target>
        <target>lightning__RecordPage</target>
        <target>lightning__HomePage</target>
        <target>lightning__AppPage</target>
    </targets>
    <targetConfigs>
        <targetConfig targets="lightning__FlowScreen">
            <property name="recordId" type="String"/>
            <property name="editedRecordIds" type="String[]"/>
            <property name="createdRecordIds" type="String[]"/>
            <property name="relName" type="String"/>
            <property name="allowNew" type="Boolean"/>
            <property name="relationshipValue" type="String"/>
            <property name="listIconName" type="String"/>
            <property name="isGuarantor" type="Boolean"/>
        </targetConfig>
        <targetConfig targets="lightning__AppPage, lightning__HomePage, lightning__RecordPage">
            <property name="relName" type="String" default="Related Records" label="Enter the Related List Name"/>
            <property name="allowNew" type="Boolean" default="False" label="Allow New Records to be created?"/>
            <property name="relationshipValue" type="String" default="GUARANTOR" label="Relationship__c value to query"/>
            <property name="listIconName" type="String" default="standard:related_list" label="LDS Icon Name" description="custom:custom94 for EhrRelatedPerson"/>
            <property name="isGuarantor" type="Boolean"/>
        </targetConfig>
    </targetConfigs>
</LightningComponentBundle>